### Method

# Gtk Snapshot append_texture

#### Declaration [src]

    void
    gtk_snapshot_append_texture (
      GtkSnapshot* snapshot,
      GdkTexture* texture,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a new render node drawing the `texture` into the given `bounds` and appends it to the current render node of `snapshot`.

#### Parameters

`texture` | `GdkTexture*`
| The `GdkTexture` to render.
| The data is owned by the caller of the function.
`bounds` | `const graphene_rect_t*`
| The bounds for the new node.
| The data is owned by the caller of the function.